
C#
TimeFuture2017
这个作者很懒,什么都没留下…
展开
-
Arx 加载 net dll
typedef Acad::ErrorStatus(__stdcall* funcPtr)(const TCHAR* fname);void LoadNetLoad(const CString& netDllPath){ CString sNetFile = netDllPath; HMODULE hAcMgd = ::GetModuleHandle(_T("ACDBMGD.DLL")); funcPtr pLoadMgd = (funcPtr)::GetProcAdd...原创 2021-11-24 18:51:46 · 618 阅读 · 0 评论 -
autocad net 设置窗口句柄 owner 为autocad
using Application = Autodesk.AutoCAD.ApplicationServices.Application;var dialog = new MyWpfWindow();Application.ShowModalWindow(Application.MainWindow.Handle, dialog, false);dialog.Close();原创 2021-11-04 14:41:58 · 433 阅读 · 0 评论 -
[转]在AutoCad中遇到(你的应用进入了中断状态,但当前未执行任何受选定调试引擎支持的代码(例如,仅在执行本机运行时代码)。)
低版本调试有WinForm中代码,出现(你的应用进入了中断状态,但当前未执行任何受选定调试引擎支持的代码(例如,仅在执行本机运行时代码)。)Command:FIBERWORLDFIBERWORLD = 1 (read only)Command:NEXTFIBERWORLDEnter new value for NEXTFIBERWORLD <1>: 0Command:QUITCAD2018上没有这个参数了,也没出现中断...原创 2021-10-27 10:18:47 · 776 阅读 · 0 评论 -
VS2019 菜单中缺少 Architecture (体系结构)
在安装VS2019时,保证安装了 “.NET desktop development”下的“Architecture and analysis tools”原创 2021-10-26 17:07:59 · 1492 阅读 · 0 评论 -
CAD net 设置选择集
1、命令增加属性:CommandFlags.Redraw |CommandFlags.UsePickSet2、using Autodesk.AutoCAD.Internal;3、Utils.SelectObjects(ids);原创 2021-10-07 00:06:57 · 1051 阅读 · 0 评论 -
AutoCAD .net 反应器 事件
图元反应器:mText.Modified += MText_Modified;private void MText_Modified(object sender, EventArgs e) { Editor ed = Acap.DocumentManager.MdiActiveDocument.Editor; ed.WriteMessage("\nMText_Modified:" + ((MText)sender).Text); ...原创 2021-09-28 17:59:06 · 982 阅读 · 0 评论 -
cad net 绘制带圆弧的多段线
//绘制带弧线的多段线 输入每个点和它后面圆弧的角度(180°的圆弧就是 Math.PI),如果没有圆弧则用nullpublic static ObjectId MakePolylineWithArc(List<Tuple<Point2d,double?>> ptAngleTable,string layername = null) { // 获取当前文档和数据库 Document acDoc = Applicati.原创 2021-08-11 14:09:00 · 919 阅读 · 0 评论 -
CAD net Dimension Style
This chapter showsdetailedexample, how to manage ofeach optionof "Modify Dimension Style" dialog box, on all its tabs:/* DimStyleSample.cs * © Andrey Bushman, 2012 * The sample of dimsion style creating. */using System; using cad = Auto...转载 2021-07-06 11:26:13 · 871 阅读 · 0 评论 -
windows下RabbitMQ的安装步骤
1、下载 erlang 和 rabbitMQhttps://www.erlang.orghttps://www.rabbitmq.com原创 2021-06-12 14:30:01 · 229 阅读 · 1 评论 -
RabbitMq C#(一) HelloWorld(本机)
原文:http://rabbitmq.mr-ping.com/tutorials_with_csharp/HelloWorld.html1、启动mq;2、创建C#控制台程序(Server.exe),用nuget引入RabbitMq;using RabbitMQ.Client;using System;using System.Collections.Generic;using System.Linq;using System.Text;using System.Threading.T原创 2021-07-01 16:16:09 · 199 阅读 · 0 评论 -
Grasshopper不显示gha插件的解决方法
右键点击 xxx.gha 插件,点击“属性”后,勾选“解除锁定”原创 2021-06-22 00:04:09 · 4543 阅读 · 1 评论 -
cad net Autodesk.AutoCAD.Geometry 中的类
原创 2021-06-21 15:16:47 · 620 阅读 · 0 评论 -
cad net 添加文字 DBText
public ObjectId make(string str, Point3d pt,string layer,Color color,double hei,double factor, TextHorizontalMode horMode = TextHorizontalMode.TextLeft, TextVerticalMode verMode = TextVerticalMode.TextBottom) { var res = O.原创 2021-06-16 17:09:00 · 994 阅读 · 0 评论 -
cad net AppendEntity 异常 eWrongDatabase
在未添加到Database时,不能设置 Entity.layer;此时设置,会设置到默认的db。解决办法:添加到Database之后再设置layer。原创 2021-06-15 18:22:15 · 1008 阅读 · 0 评论 -
CAD net Zoom功能
using Autodesk.AutoCAD.ApplicationServices;using Autodesk.AutoCAD.DatabaseServices;using Autodesk.AutoCAD.Geometry;using Autodesk.AutoCAD.Runtime;using System;using System.Collections.Generic;using System.Linq;namespace Autodesk.AutoCAD.EditorInpu.原创 2021-06-10 17:51:31 · 1076 阅读 · 0 评论 -
cad net 发送esc 取消当前命令
doc.SendStringToExecute("\u001b\u001b" + sCmd + "\n", false, false, true);原创 2021-06-03 18:48:19 · 1663 阅读 · 2 评论 -
“PreviewRuleProvider”的对象强制转换为类型“IPreviewContextProvider”
System.InvalidCastException: 无法将类型为“Autodesk.AutoCAD.LivePreview.PreviewRuleProvider”的对象强制转换为类型“Autodesk.AutoCAD.Internal.IPreviewContextProvider”。原创 2021-05-31 14:34:45 · 416 阅读 · 0 评论 -
注册表键值明明存在OpenSubKey始终返回null,解决方案
如果是X64的系统,则exe也要是64位的原创 2021-05-17 17:11:56 · 531 阅读 · 0 评论 -
cad net GetPoint 右键 取消
PromptPointOptions pPtOpts = new PromptPointOptions("");pPtOpts.AllowNone =true;原创 2021-04-29 17:01:12 · 446 阅读 · 0 评论 -
C# Stream String 转换
var stream = new MemoryStream();svgDocument.Write(stream);stream.Position = 0;//关键StreamReader reader = new StreamReader(stream);string text = reader.ReadToEnd();原创 2021-04-25 14:29:55 · 1972 阅读 · 0 评论 -
外部exe控制cad
1、创建 C#控制台程序;2、增加引用:3、代码如下:原创 2021-02-07 17:49:42 · 587 阅读 · 0 评论 -
Revit 的Curve 可能是空间上的(不在平面内)
原创 2021-01-04 17:56:20 · 291 阅读 · 0 评论 -
cad.net objectarx 后台打开dwg
[CommandMethod("testdata")] public static void testdata() { Editor ed = Application.DocumentManager.MdiActiveDocument.Editor; string path = @"c:\temp\test.dwg"; try { ...原创 2020-12-01 17:04:12 · 863 阅读 · 0 评论 -
ObjectArx net 开发流程
1、保证有ARX2、新建C#的类库dll;3、添加引用(ARX目录下的inc文件夹中的所有dll)添加类: public class Class1 { [CommandMethod("HelloWorld")] public void HelloWorld() { Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;原创 2020-12-01 13:57:37 · 394 阅读 · 1 评论 -
Revit 调用 CAD的几何库 会出现问题
Revit 调用 CAD的几何库 会出现问题原创 2020-10-28 12:47:55 · 394 阅读 · 0 评论 -
Revit 导出 Json 提示错误
错误内容:error :Error getting value from 'WorksharingCentralGUID' on 'Autodesk.Revit.DB.Document'.修改方法:将Newton.Json 从 12.0.0.0版本 恢复到 9.0.0.1版本。原创 2020-10-27 14:32:41 · 577 阅读 · 0 评论 -
WPF grid 跨两格
<Button Grid.Row="0" Grid.RowSpan="2" Grid.Column="0" Content="↓↑" Margin="2"/>//核心是RowSpan代表跨两格原创 2020-10-21 15:52:50 · 585 阅读 · 0 评论 -
“仅我的代码”警告,你正在调试***的发布版本
解决办法:在VS中【调试】->【选项】->【勾选 启用“仅我的代码”】 (去掉勾选);转载 2020-10-20 16:47:02 · 6090 阅读 · 0 评论 -
revit API 获得 wall 真正 locationCurve
Curve GetWallRealLocationCurve(Wall m_wall) { Curve oldCurve = (m_wall?.Location as LocationCurve)?.Curve; if (oldCurve == null) { return null; } double baseOffset = 0; .原创 2020-10-14 15:59:01 · 642 阅读 · 0 评论 -
Revit 二次开发 设置对话框的句柄为Revit
1、引用dll:Revit 安装目录下的AdWindows.dll2、修改如下代码myDlg dlg = new myDlg(); var windowHelper = new WindowInteropHelper(dlg) { Owner = Autodesk.Windows.ComponentManager.ApplicationWindow ...原创 2020-10-10 14:51:18 · 574 阅读 · 0 评论 -
Revit API 中 offset 外轮廓 CurveLoop
public static CurveLoop GetOffsetResult(CurveLoop clp,double offsetDis) { var dir=clp.GetPlane()?.Normal; if (dir == null) return null; return CurveLoop.CreateViaOffset(clp,offsetDis,dir); }原创 2020-09-29 16:42:30 · 707 阅读 · 0 评论 -
Revit API 判断族 基于面 or 基于主体,判断基于主体的类型
得到这个问题叶老师,想请教一个问题:在项目上布置一个灯具之前,如何判断这个灯具族是基于墙还是基于面的,我查到一个方法,获取族的“主体”参数,代码如下:family.get_Parameter(BuiltInParameter.FAMILY_HOSTING_BEHAVIOR).AsInteger(),它返回的是数值。请问返回的数值准确对应基于的主体吗?这些数值分别代码了什么?或者其他方法。谢谢!答:你基本找到问题的解决办法了:通过获取Family的BuiltInParameter.FAMILY_...转载 2020-09-29 11:23:14 · 506 阅读 · 0 评论 -
Revit API C# 创建 共享参数
public class SharedParameterInfo { public Guid inGuid; public string GroupName; public string OptionName; public ParameterType OptionType; public string OptionDescription; } public class SharedParame...原创 2020-09-22 18:24:46 · 388 阅读 · 0 评论 -
Revit API C# 新建 族实例参数
public class FamilyInstanceParameterInfo { public string ParamName; public BuiltInParameterGroup ParamGroup; public ParameterType ParamType; public bool IsInstance = true; } public class FamilyInstancePara...原创 2020-09-22 17:56:27 · 1062 阅读 · 0 评论 -
C# 自定义List sort函数 排序
namespace TestCode1{ class IntSort : IComparer<int> { public int Compare(int x, int y) { if (x == y) return 0; else if (x < y) return -1; else return 1; } } class Progr.原创 2020-09-02 15:26:18 · 547 阅读 · 0 评论 -
Revit族添加数据的方式
1、共享参数(和本项目文件有关,和族文件无关)2、扩展数据(用户不可见)3、实例参数(修改rfa文件,不常用)原创 2020-08-24 14:39:44 · 1058 阅读 · 0 评论 -
Revit开发注意
1、Revit中Solid,使用GetBoudingBoxXYZ时,会得到一个box,这个box有个transform,需要变换后才可以用这个box;2、原创 2020-08-13 15:51:09 · 275 阅读 · 0 评论 -
Revit Solid 分组
SolidUtils.SplitVolumes//可将一个混合solid 自动分组为一个个的闭合solid原创 2020-08-04 11:25:31 · 354 阅读 · 1 评论 -
C#设置http最大连接数量
ServicePointManager.DefaultConnectionLimit = 512;原创 2020-06-22 16:50:45 · 1742 阅读 · 0 评论 -
C# Marshal.GetActiveObject 相关问题记录
1、Marshal.GetActiveObject 函数会抛出异常MK_E_UNAVAILABLE;可能是用户权限不同,将两个程序都用管理员启动即可;2、如何查看程序的ProgID:注册表查看:HKEY_CLASSES_ROOT\ProgID\CLSID原创 2020-06-14 10:32:33 · 2129 阅读 · 0 评论